Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.statement
Interface StatementProtocol<Handle,Identifier extends RawSerializable>

All Superinterfaces:
  PeerReviewConstants, StatusConstants

All Known Implementing Classes:
  StatementProtocolImpl

    public interface StatementProtocol<Handle,Identifier extends RawSerializable>

extends PeerReviewConstants

The purpose of this protocol is to make sure that we have all the nodeID certificates we need. For each incoming message, it checks whether any additional certificates are needed, e.g. to check evidence about another node. If yes, it temporarily queues the message and requests the certificate from the sender.

Field Summary
`static int` | `MAX_INCOMPLETE_STATEMENTS`
`static int` | `PROGRESS_INTERVAL_MICROS`
`static int` | `STATEMENT_COMPLETION_TIMEOUT_MILLIS`
`static int` | `TI_MAKE_PROGRESS`

Fields inherited from interface org.mpisws.p2p.transport.peerreview.PeerReviewConstants
`AUTH_CACHE_INTERVAL, CERT_MISSING, CHAL_AUDIT, CHAL_SEND, DEFAULT_AUDIT_INTERVAL_MILLIS, DEFAULT_AUTH_PUSH_INTERVAL_MILLIS, DEFAULT_CHECKPOINT_INTERVAL_MILLIS, DEFAULT_LOG_DOWNLOAD_TIMEOUT, DEFAULT_TIME_TOLERANCE_MILLIS, EVT_ACK, EVT_CHECKPOINT, EVT_CHOOSE_Q, EVT_CHOOSE_RAND, EVT_INIT, EVT_MAX_RESERVED, EVT_MAX_SOCKET_EVT, EVT_MIN_SOCKET_EVT, EVT_RECV, EVT_SEND, EVT_SENDSIGN, EVT_SIGN, EVT_SOCKET_CAN_READ, EVT_SOCKET_CAN_RW, EVT_SOCKET_CAN_WRITE, EVT_SOCKET_CLOSE, EVT_SOCKET_CLOSED, EVT_SOCKET_EXCEPTION, EVT_SOCKET_OPEN_INCOMING, EVT_SOCKET_OPEN_OUTGOING, EVT_SOCKET_OPENED_OUTGOING, EVT_SOCKET_READ, EVT_SOCKET_SHUTDOWN_OUTPUT, EVT_SOCKET_WRITE, EVT_VRF, EX_TYPE_ClosedChannel, EX_TYPE_IO, EX_TYPE_Unknown, FLAG_FULL_MESSAGES_ALL, FLAG_FULL_MESSAGES_SENDER, FLAG_INCLUDE_CHECKPOINT, INVALID, INVESTIGATION_INTERVAL_MILLIS, MAINTENANCE_INTERVAL_MILLIS, MAX_ACTIVE_AUDITS, MAX_ACTIVE_INVESTIGATIONS, MAX_ENTRIES_BETWEEN_CHECKPOINTS, MAX_STATUS_INFO, MAX_WITNESSED_NODES, MSG_ACCUSATION, MSG_ACK, MSG_AUTHPUSH, MSG_AUTHREQ, MSG_AUTHRESP, MSG_CHALLENGE, MSG_RESPONSE, MSG_USERDATA, MSG_USERDGRAM, NO_CERTIFICATE, PROGRESS_INTERVAL_MILLIS, PROOF_INCONSISTENT, PROOF_NONCONFORMANT, RESP_AUDIT, RESP_SEND, SIGNATURE_BAD, SIGNATURE_OK, STATE_SEND_AUDIT, STATE_WAIT_FOR_LOG, TI_AUTH_PUSH, TI_CHECKPOINT, TI_MAINTENANCE, TI_MAX_RESERVED, TI_START_AUDITS, TI_STATUS_INFO, VALID`

Fields inherited from interface org.mpisws.p2p.transport.peerreview.StatusConstants
`STATUS_EXPOSED, STATUS_SUSPECTED, STATUS_TRUSTED`

Method Summary
`void` | `handleIncomingStatement(Handle source, Statement<Identifier> statement, java.util.Map<java.lang.String,java.lang.Object> options)`

Field Detail

### MAX_INCOMPLETE_STATEMENTS

    static final int MAX_INCOMPLETE_STATEMENTS

See Also:
  Constant Field Values

### PROGRESS_INTERVAL_MICROS

    static final int PROGRESS_INTERVAL_MICROS

See Also:
  Constant Field Values

### STATEMENT_COMPLETION_TIMEOUT_MILLIS

    static final int STATEMENT_COMPLETION_TIMEOUT_MILLIS

See Also:
  Constant Field Values

### TI_MAKE_PROGRESS

    static final int TI_MAKE_PROGRESS

See Also:
  Constant Field Values

Method Detail

### handleIncomingStatement

    void handleIncomingStatement(Handle source,
                                 Statement<Identifier> statement,
                                 java.util.Map<java.lang.String,java.lang.Object> options)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.